#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : album.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.public import *
from Products.CMFCore.utils import getToolByName
from Products.ATContentTypes.content.folder import ATFolder
from Products.TPArtist.schemas import AlbumSchema
from Products.TPArtist.interfaces import IAlbum

class Album(ATFolder):
    """A music album
    """

    # Configuration of my type
    portal_type = metal_type    = "Album"
    archetype_name              = "Album"
    content_icon                = "album.png"
    schema                      = AlbumSchema
    typeDescription             = "A music album"
    typeDescMsgId               = "at_label_album"
    global_allow                = 0
    allow_discussion            = 1
    
    # Contents
    allowed_content_types       = ['Track',]

    # Views
    default_view                = 'album_view'
    immediate_view              = 'album_view'
    suppl_views                 = ()

    # Aditional properties
    _at_rename_after_creation   = True    # Get me a nice ID !

    # Still mystical for me
    __implements__ = OrderedBaseFolder.__implements__ + \
                     ATFolder.__implements__ + \
                     (IAlbum,)

    # Get the standard actions (tabs)
    actions = ATFolder.actions
    
    # Security
    security = ClassSecurityInfo()


    def getAlbumTitle(self):
        """Returns the album's title
        """
        return self.Title()

    def getAlbumTracks(self):
        """Returns the list of the artist's albums
        """
        return self.objectValues('Track')

    def getNbTracks(self):
        """Returns the number of tracks in the album
        """
        return len(self.getAlbumTracks())

    def getSubjectVocabulary(self):
        """Queries the TPArtist tool for the Subject vocabulary
        """
        return getToolByName(self, 'portal_artist').getValues(type = 'medias')

    def canSetDefaultPage(self):
        """No Default Page can be set for this folderish type
        """
        return False
    
registerType(Album)
