#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : track.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.public import *
from Products.ATContentTypes.content.document import ATDocument
from Products.TPArtist.schemas import TrackSchema
from Products.TPArtist.interfaces import ITrack

class Track(ATDocument):
    """An audio track
    """

    # Configuration of my type
    portal_type = metal_type    = "Track"
    archetype_name              = "Track"
    content_icon                = "track.png"
    schema                      = TrackSchema
    typeDescription             = "An audio track"
    typeDescMsgId               = "at_label_track"
    global_allow                = 0

    # Contents
    allowed_content_types       = []

    # Views
    default_view                = 'track_view'
    immediate_view              = 'track_view'
    suppl_views                 = ()

    # Additional properties
    _at_rename_after_creation   = True    # Get me a nice ID !

    # Still mystical for me
    __implements__ = OrderedBaseFolder.__implements__ + \
                     ATDocument.__implements__ + \
                     (ITrack,)

    # Get the standard actions (tabs)
    actions = ATDocument.actions
    
    # Security
    security = ClassSecurityInfo()
    
registerType(Track)



