#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : salbum
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.Archetypes.public import *
from Products.ATContentTypes.content.folder import *

AlbumSchema = ATFolderSchema + Schema ((

        StringField('type',
                    required = 1,
                    searchable = 1,
                    vocabulary = "getSubjectVocabulary",
                    widget=SelectionWidget(label="Album type",
                                           label_msgid="label_album_type",
                                           description='Distribution format',
                                           i18n_domain = "TPArtist",
                                           ),
                    ),
    
        StringField("year",
                    searchable = 0,
                    required = 1,
                    widget=IntegerWidget(label="Year",
                                         label_msgid="label_album_year",
                                         description="Year of the album's first release",
                                         description_msgid="description_album_year",
                                         i18n_domain = "TPArtist",
                                         ),
                    ),

        StringField("label",
                    searchable = 1,
                    required = 0,
                    widget=StringWidget(label="Label",
                                        label_msgid="label_album_label",
                                        description='Name of the studio where the album was signed',
                                        description_msgid="description_album_label",                                        
                                        i18n_domain = "TPArtist",
                                        ),
                    ),

        StringField("studio",
                    searchable = 0,
                    required = 0,
                    widget=StringWidget(label="Studio",
                                        label_msgid="label_album_studio",
                                        description="Name of the studio where the album was recorded",
                                        description_msgid="description_album_studio",
                                        i18n_domain = "TPArtist",
                                        ),
                    ),
               
        ImageField('cover',
                   original_size = (600,600),
                   sizes={'small' :(100,100),
                          'medium':(170,170),
                          'normal':(200,200),
                          'large' :(400,400)},
                   storage=AttributeStorage(),
                   widget=ImageWidget(label="Cover",
                                      label_msgid="label_album_cover",
                                      description="Front cover of the album",
                                      description_msgid="description_album_cover",
                                      i18n_domain = "TPArtist",
                                      ),
                   ),
        
        ),
    )

# We use the default description field for extra comments
AlbumSchema['description'].widget.i18n_domain = "TPArtist"
AlbumSchema['description'].widget.label       = "Extra comments"
AlbumSchema['description'].widget.label_msgid = "label_album_extra"
AlbumSchema['description'].widget.description = "Extra informations (guest musicians, artist's comments...)"
AlbumSchema['description'].widget.description_msgid = "description_album_extra"
AlbumSchema['description'].required = 0

finalizeATCTSchema(AlbumSchema)
