#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : strack.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.Archetypes.public import *
from Products.ATContentTypes.content.document import ATDocument
from Products.ATContentTypes.content.document import finalizeATCTSchema

TrackSchema = Schema((

    BooleanField("bonus",
                required = 0,
                widget=BooleanWidget(label="Bonus Track",
                                     label_msgid="label_bonus_track",
                                     description="Is it a bonus track ?",
                                    description_msgid="description_bonus_track",
                                     i18n_domain = "TPArtist",
                                     ),
                ),

    StringField("duration",
                required = 0,
                widget=StringWidget(label="duration",
                                    label_msgid="label_duration",
                                    description="Minutes : Secondes",
                                    description_msgid="description_duration",
                                    i18n_domain = "TPArtist",
                                    ),
                ),
    
    ),)

TrackSchema = TrackSchema + ATDocument.schema.copy()

# We use the text field from ATDocument for the lyrics
TrackSchema['text'].widget.i18n_domain = "TPArtist"
TrackSchema['text'].widget.label       = "Lyrics"
TrackSchema['text'].widget.label_msgid = "label_lyrics"
TrackSchema['text'].widget.description = "The track's lyrics"
TrackSchema['text'].widget.description_msgid = "description_lyrics"
TrackSchema['text'].required = 0

# We use the default description field for extra comments
TrackSchema['description'].widget.i18n_domain = "TPArtist"
TrackSchema['description'].widget.label       = "Extra comments"
TrackSchema['description'].widget.label_msgid = "label_extra"
TrackSchema['description'].widget.description = "Extra informations (guest musicians, artist's comments...)"
TrackSchema['description'].widget.description_msgid = "description_extra"
TrackSchema['description'].required = 0

finalizeATCTSchema(TrackSchema)
